package main

type Settings struct {
	SessionID string `json:"-"`

	Background   string `json:"background_color"`
	Foreground   string `json:"foreground_color"`
	Search       string `json:"search_query"`
	BorderRadius string `json:"border_radius"`
	BookmarkSize string `json:"bookmark_size"`
}

func DefaultSettings() *Settings {
	return &Settings{
		Background:   "#2b2a33",
		Foreground:   "#ffffff",
		Search:       "https://duckduckgo.com/?q=%s",
		BorderRadius: "1.5%",
		BookmarkSize: "10em",
	}
}
